import { CSSProperties, HTMLAttributes } from 'react';
export interface AlertProps extends Omit<HTMLAttributes<HTMLDivElement>, 'className' | 'ref'> {
    style?: CSSProperties;
    className?: string | string[];
    type?: Types;
    title?: string;
    effect?: Effects;
}
type Types = 'success' | 'warning' | 'info' | 'error';
type Effects = 'light' | 'dark';
export {};
